%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Name:           perl-File-Sync
Version:        0.09
Release:        1
Summary:        Perl access to fsync() and sync() function calls
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-Sync/
Source0:        http://www.cpan.org/authors/id/C/CE/CEVANS/File-Sync-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
# this is contained in our base perl package
# BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8

%description
The fsync() function takes a Perl file handle as its only argument, and
passes its fileno() to the C function fsync(). It returns undef on failure,
or true on success.

%prep
%setup -q -n File-Sync-%{version}
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
cd 32bit
%{_bindir}/perl Makefile.PL INSTALLDIRS="vendor"
make
cd ../64bit
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS="vendor"
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 32bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../64bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/Changes 32bit/README
%{perl_vendorarch}/*
%{perl_vendorarch64}/*
%{_mandir}/man3/*


%changelog
* Sun Nov 09 2008 Michael Perzl <michael@perzl.org> - 0.09-1
- first version for AIX V5.1 and higher
